Skip to content

Validate Hyperparameters

POST
/v1/finetune/hyperparams/validate

Validate hyperparameters for a VLA model type.

Returns whether the hyperparameters are valid, and any issues found.

vla_type
required
Vla Type
string
x-api-key
required
X-Api-Key
string
Hyperparams
object
key
additional properties
any

Hyperparameters validation result

HyperparamsValidationResponse

Result of hyperparameters validation.

object
valid
required
Valid

Whether the hyperparameters are valid

boolean
issues
Any of:
Array<object>
HyperparamsValidationIssue

A single validation issue for hyperparameters.

object
field
required
Field

The field with the issue

string
message
required
Message

Description of the issue

string

Invalid or missing API key

ErrorResponse

Standard error response.

object
detail
required
Detail

Error message describing what went wrong

string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string